Update an agent
curl --request PATCH \
--url https://app.egma.ai/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"agent": {
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"agentPlatform": "retell",
"platformAgentId": "<string>",
"retellModality": "voice",
"monitoringKeyPresent": true,
"monitoringApiKeyHint": "<string>",
"pullProductionCalls": true,
"monitoringConfigured": true,
"lastReceivedAt": "2023-11-07T05:31:56Z",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Agents
Update an agent
PATCH
/
v1
/
agents
/
{agentId}
Update an agent
curl --request PATCH \
--url https://app.egma.ai/v1/agents/{agentId} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>"
}
'{
"agent": {
"id": "<string>",
"projectId": "<string>",
"name": "<string>",
"agentPlatform": "retell",
"platformAgentId": "<string>",
"retellModality": "voice",
"monitoringKeyPresent": true,
"monitoringApiKeyHint": "<string>",
"pullProductionCalls": true,
"monitoringConfigured": true,
"lastReceivedAt": "2023-11-07T05:31:56Z",
"archived": true,
"archivedAt": "2023-11-07T05:31:56Z",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z"
}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}{
"error": "<string>",
"message": "<string>",
"details": {}
}Authorizations
bearerAuthsessionCookie
An Egma API key.
Path Parameters
The Egma agent ID returned by Register an agent or List agents.
Minimum string length:
1Example:
"agt_01M0E4J0BBE1FVDVTZ1BSS5C97"
Query Parameters
Project to act in. A project-scoped API key already identifies its project.
Minimum string length:
1Body
application/json
Response
The updated agent.
Show child attributes
Show child attributes